import { Router, Route, Switch } from 'react-router-dom';
import { Layout } from 'antd';
import hashHistory from 'history/createHashHistory';
import ReactDOM from 'react-dom';
import React from 'react';

import BusManage from './page/BusManage';
import Active from './page/Active';
import Viewer from './page/Viewer'
import AttTree from './page/AttTree';
import Index from './page/Index';
import Menu from './page/Menu';
import MsgList from './page/List';
import BusDetail from './page/BusDetail';
import SupPerson from './page/SupPerson';
import Company from './page/Company';
import ActiveManage from './page/ActiveManage';
import ActiveManageEdit from './page/ActiveManageEdit';
import KnowledgeBase from './page/KnowledgeBase';
import ArticlePublish from './page/ArticlePublish';
import ArticleEidt from './page/ArticleEidt';
import ComSuggest from './page/ComplaintSugges';
import TypeList from './page/UnitManage';
import Snapshot from './page/Snapshot';
import SnapshotDetail from './page/SnapshotDetail';
import Sweeping from './page/Sweeping';
import SweepingDetail from './page/SweepingDetail';
import MsgDetail from './page/MsgDetail';
import UserManage from './page/UserManage';
import UserDetail from './page/UserDetail';
import InsideUser from './page/InsideUser';
import UpdatePWD from './page/UpdatePWD';
import { LocaleProvider } from 'antd';
import zh_CN from 'antd/lib/locale-provider/zh_CN';
import 'moment/locale/zh-cn';

ReactDOM.render(
  <LocaleProvider locale={zh_CN}>
    <Router history={hashHistory()}>
      <Layout style={{ minHeight: '100vh' }}>
        <Switch>
          <Route path="/bus/attachment/:busId/:attachmentId" component={AttTree} />
          <Route path="/bus/attachment/:busId" component={AttTree} />
          <Route component={Menu} />
        </Switch>
        <Switch>
          <Route path="/bus/attachment/:busId/:attachmentId" component={Viewer} />
          <Route path='/busDetail/:type/:busId/:createId/:flag/:sontype?' component={BusDetail} />
          <Route path="/bus/attachment/:busId" component={Viewer} />
          <Route path='/msgList/:type' render={props => <MsgList {...props} />} />
          <Route path='/msgDetail/:type/:busId/:createId/:flag/:sontype' component={MsgDetail} />
          <Route path='/busManage/:type' render={props => <BusManage key={Date.now()} {...props} />} />
          <Route path='/complaintSugges/:type' render={props => <ComSuggest key={Date.now()} {...props} />} />
          <Route path='/userCenter' component={UserManage} />
          <Route path='/statistical' component={Active} />
          <Route path='/infoManage' component={Active} />
          <Route path='/active' component={Active} />
          <Route path='/supPerson' component={SupPerson} />
          <Route path='/company' component={Company} />
          <Route path='/knowledgeBase' component={KnowledgeBase} />
          <Route path='/articlePublish' component={ArticlePublish} />
          <Route path='/articleEidt/:id' component={ArticleEidt} />
          <Route path='/typeManage' component={TypeList} />
          <Route path='/activeManage' component={ActiveManage} />
          <Route path='/activeManageEdit/:id' component={ActiveManageEdit} />
          <Route path='/snapshot' component={Snapshot} />
          <Route path='/snapshotDetail/:id/:flag' component={SnapshotDetail} />
          <Route path='/sweeping' component={Sweeping} />
          <Route path='/sweepingDetail/:id/:flag' component={SweepingDetail} />
          <Route path='/userDetail/:id/:flag' component={UserDetail} />
          <Route path='/insideUser' component={InsideUser} />
          <Route path='/updatePWD/:id' component={UpdatePWD} />
          <Route path='/' component={Index} />
        </Switch>
      </Layout>
    </Router>
  </LocaleProvider>,
  document.getElementById('root')
);
